Bug 111871 - i586-SMP kernel(s) are not being produced
Summary: i586-SMP kernel(s) are not being produced
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i586 Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-11 03:13 UTC by Steve Logue
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 16:29:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Logue 2003-12-11 03:13:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
First ... a bit of history

When RedHat 9 was initially released the i586-SMP kernel(s) were not 
built nor shipped with the distribution.  Later the kernel(s) 
appeared as "updates".  Fine. 

Currently with Fedora Core 1 - again the i586-SMP kernel(s) are not 
being built and distributed.  Nor have the kernel(s) appeared as 
updates, but there is a kernel-2.4.22-i586-smp.config file in the 
kernel source RPM just waiting to be exercised!


Version-Release number of selected component (if applicable):
All

How reproducible:
Always

Steps to Reproduce:
1.  Have i586-SMP machine
2.  Install Fedora Core 1
3.  Update to latest level(s)
    

Actual Results:  No prebuilt i586-SMP kernel available

Expected Results:  A prebuilt i586-SMP kernel should be available

Additional info:

It certainly is no problem to compile one's own i586-SMP kernel, but 
if you do not have access to a Fedora Core 1 machine with the 
software developement packages installed you are hamstrung.

Also if the Fedora project doesn't provide prebuilt i586-SMP kernels 
that fix high severity / security bugs as they occur then the user is 
left to fend and has to continue to custom build his/her kernels per 
security/bugfix demands.  This makes i586-SMP machines "special 
cases".

Please restore the automated building of i586-SMP kernels and QA 
testing thereof.

Comment 1 Tomasz Kepczynski 2003-12-29 16:42:50 UTC
I add my vote here as well. Especially that the only thing broken in
my trustfull Pentium SMP box were... CPU fans...

Comment 2 DaddyK 2004-05-12 00:47:40 UTC
agreed!!!!!

Comment 3 Dave Jones 2004-06-17 16:29:49 UTC
fixed as of 2193 kernel. (currently in testing, 2194 to follow)


Note You need to log in before you can comment on or make changes to this bug.